clang 8.0.0

Public Member Functions | List of all members
clang::ento::retaincountchecker::OverAutorelease Class Reference
Inheritance diagram for clang::ento::retaincountchecker::OverAutorelease:
[legend]
Collaboration diagram for clang::ento::retaincountchecker::OverAutorelease:
[legend]

## Public Member Functions
| OverAutorelease (const CheckerBase *checker)
const char * | getDescription () const override
Public Member Functions inherited from clang::ento::retaincountchecker::RefCountBug
virtual bool | isLeak () const
Public Member Functions inherited from clang::ento::BugType
| BugType (CheckName Check, StringRef Name, StringRef Cat)
| BugType (const CheckerBase *Checker, StringRef Name, StringRef Cat)
virtual | ~BugType ()=default
StringRef | getName () const
StringRef | getCategory () const
StringRef | getCheckName () const
bool | isSuppressOnSink () const
| isSuppressOnSink - Returns true if bug reports associated with this bug type should be suppressed if the end node of the report is post-dominated by a sink node. More...
void | setSuppressOnSink (bool x)

## Additional Inherited Members
Protected Member Functions inherited from clang::ento::retaincountchecker::RefCountBug
| RefCountBug (const CheckerBase *checker, StringRef name)

## Detailed Description

Definition at line 72 of file RetainCountChecker.cpp.

## Constructor & Destructor Documentation

## ◆ OverAutorelease()

clang::ento::retaincountchecker::OverAutorelease::OverAutorelease | ( | const CheckerBase * | checker | ) |
| inline

Definition at line 74 of file RetainCountChecker.cpp.

## Member Function Documentation

## ◆ getDescription()

const char* clang::ento::retaincountchecker::OverAutorelease::getDescription | ( |  | ) | const
| inline override virtual

Implements clang::ento::retaincountchecker::RefCountBug.

Definition at line 77 of file RetainCountChecker.cpp.

The documentation for this class was generated from the following file:

- lib/StaticAnalyzer/Checkers/RetainCountChecker/RetainCountChecker.cpp